"use strict";function _interopDefault(e){return e&&"object"==typeof e&&"default"in e?e.default:e}var util=_interopDefault(require("util")),path=require("path"),fs=require("fs"),os=_interopDefault(require("os")),commonjsGlobal="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function createCommonjsModule(e,u){return e(u={exports:{}},u.exports),u.exports}function getCjsExportFromNamespace(e){return e&&e.default||e}var vendors=[{name:"AppVeyor",constant:"APPVEYOR",env:"APPVEYOR",pr:"APPVEYOR_PULL_REQUEST_NUMBER"},{name:"Bamboo",constant:"BAMBOO",env:"bamboo_planKey"},{name:"Bitbucket Pipelines",constant:"BITBUCKET",env:"BITBUCKET_COMMIT"},{name:"Bitrise",constant:"BITRISE",env:"BITRISE_IO",pr:"BITRISE_PULL_REQUEST"},{name:"Buddy",constant:"BUDDY",env:"BUDDY_WORKSPACE_ID",pr:"BUDDY_EXECUTION_PULL_REQUEST_ID"},{name:"Buildkite",constant:"BUILDKITE",env:"BUILDKITE",pr:{env:"BUILDKITE_PULL_REQUEST",ne:"false"}},{name:"CircleCI",constant:"CIRCLE",env:"CIRCLECI",pr:"CIRCLE_PULL_REQUEST"},{name:"Cirrus CI",constant:"CIRRUS",env:"CIRRUS_CI",pr:"CIRRUS_PR"},{name:"AWS CodeBuild",constant:"CODEBUILD",env:"CODEBUILD_BUILD_ARN"},{name:"Codeship",constant:"CODESHIP",env:{CI_NAME:"codeship"}},{name:"Drone",constant:"DRONE",env:"DRONE",pr:{DRONE_BUILD_EVENT:"pull_request"}},{name:"dsari",constant:"DSARI",env:"DSARI"},{name:"GitLab CI",constant:"GITLAB",env:"GITLAB_CI"},{name:"GoCD",constant:"GOCD",env:"GO_PIPELINE_LABEL"},{name:"Hudson",constant:"HUDSON",env:"HUDSON_URL"},{name:"Jenkins",constant:"JENKINS",env:["JENKINS_URL","BUILD_ID"],pr:{any:["ghprbPullId","CHANGE_ID"]}},{name:"Magnum CI",constant:"MAGNUM",env:"MAGNUM"},{name:"Sail CI",constant:"SAIL",env:"SAILCI",pr:"SAIL_PULL_REQUEST_NUMBER"},{name:"Semaphore",constant:"SEMAPHORE",env:"SEMAPHORE",pr:"PULL_REQUEST_NUMBER"},{name:"Shippable",constant:"SHIPPABLE",env:"SHIPPABLE",pr:{IS_PULL_REQUEST:"true"}},{name:"Solano CI",constant:"SOLANO",env:"TDDIUM",pr:"TDDIUM_PR_ID"},{name:"Strider CD",constant:"STRIDER",env:"STRIDER"},{name:"TaskCluster",constant:"TASKCLUSTER",env:["TASK_ID","RUN_ID"]},{name:"Solano CI",constant:"TDDIUM",env:"TDDIUM",pr:"TDDIUM_PR_ID",deprecated:!0},{name:"TeamCity",constant:"TEAMCITY",env:"TEAMCITY_VERSION"},{name:"Team Foundation Server",constant:"TFS",env:"TF_BUILD"},{name:"Travis CI",constant:"TRAVIS",env:"TRAVIS",pr:{env:"TRAVIS_PULL_REQUEST",ne:"false"}}],vendors$1=Object.freeze({default:vendors}),vendors$2=getCjsExportFromNamespace(vendors$1),ciInfo=createCommonjsModule(function(e,u){var D=process.env;function t(e){return"string"==typeof e?!!D[e]:Object.keys(e).every(function(u){return D[u]===e[u]})}Object.defineProperty(u,"_vendors",{value:vendors$2.map(function(e){return e.constant})}),u.name=null,u.isPR=null,vendors$2.forEach(function(e){var r=(Array.isArray(e.env)?e.env:[e.env]).every(function(e){return t(e)});if(u[e.constant]=r,r)switch(u.name=e.name,typeof e.pr){case"string":u.isPR=!!D[e.pr];break;case"object":"env"in e.pr?u.isPR=e.pr.env in D&&D[e.pr.env]!==e.pr.ne:"any"in e.pr?u.isPR=e.pr.any.some(function(e){return!!D[e]}):u.isPR=t(e.pr);break;default:u.isPR=null}}),u.isCI=!!(D.CI||D.CONTINUOUS_INTEGRATION||D.BUILD_NUMBER||D.RUN_ID||u.name)}),ciInfo_1=ciInfo.name,ciInfo_2=ciInfo.isPR,ciInfo_3=ciInfo.isCI,isCI=!1,debug=!1,tty=!1,nodeENV="development",browser="undefined"!=typeof window,platform="",minimal=!1;function toBoolean(e){return!(!e||"false"===e)}"undefined"!=typeof process&&(process.platform&&(platform=String(process.platform)),process.stdout&&(tty=toBoolean(process.stdout.isTTY)),isCI=Boolean(ciInfo.isCI),process.env&&(process.env.NODE_ENV&&(nodeENV=process.env.NODE_ENV),debug=toBoolean(process.env.DEBUG),minimal=toBoolean(process.env.MINIMAL)));var env={browser:browser,test:"test"===nodeENV,dev:"development"===nodeENV||"dev"===nodeENV,production:"production"===nodeENV,debug:debug,ci:isCI,tty:tty,minimal:void 0,minimalCLI:void 0,windows:/^win/i.test(platform),darwin:/^darwin/i.test(platform),linux:/^linux/i.test(platform)};env.minimal=minimal||env.ci||env.test||!env.tty,env.minimalCLI=env.minimal;var stdEnv=Object.freeze(env),Types={fatal:{level:0},error:{level:0},warn:{level:1},log:{level:2},info:{level:3},success:{level:3},debug:{level:4},trace:{level:5},silent:{level:1/0},ready:{level:3},start:{level:3}};function isPlainObject(e){return"[object Object]"===Object.prototype.toString.call(e)}function isLogObj(e){return!!isPlainObject(e)&&(!(!e.message&&!e.args)&&!e.stack)}let paused=!1;const queue=[];class Consola{constructor(e={}){this._reporters=e.reporters||[],this._types=e.types||Types,this._level=null!=e.level?e.level:3,this._defaults=e.defaults||{},this._async=void 0!==e.async?e.async:null,this._stdout=e.stdout,this._stderr=e.stdout,this._mockFn=e.mockFn,this._throttle=e.throttle||2e3;for(const e in this._types)this[e]=this._wrapLogFn(Object.assign({type:e},this._types[e],this._defaults));this._mockFn&&this.mockTypes(),this._lastMessage=null,this._lastMessageTime=null}get level(){return this._level}set level(e){let u=0,D=0;for(const e in this._types){const t=this._types[e];t.level>D?D=t.level:t.level<u&&(u=t.level)}this._level=Math.min(D,Math.max(u,e))}get stdout(){return this._stdout||console._stdout}get stderr(){return this._stderr||console._stderr}create(e){return new Consola(Object.assign({reporters:this._reporters,level:this._level,types:this._types,defaults:this._defaults,stdout:this._stdout,stderr:this._stderr,mockFn:this._mockFn},e))}withDefaults(e){return this.create({defaults:Object.assign({},this._defaults,e)})}withTag(e){return this.withDefaults({tag:this._defaults.tag?this._defaults.tag+":"+e:e})}addReporter(e){return this._reporters.push(e),this}removeReporter(e){if(e){const u=this._reporters.indexOf(e);if(u>=0)return this._reporters.splice(u,1)}else this._reporters.splice(0);return this}setReporters(e){return this._reporters=Array.isArray(e)?e:[e],this}wrapAll(){this.wrapConsole(),this.wrapStd()}restoreAll(){this.restoreConsole(),this.restoreStd()}wrapConsole(){for(const e in this._types)console["__"+e]||(console["__"+e]=console[e]),console[e]=this[e]}restoreConsole(){for(const e in this._types)console["__"+e]&&(console[e]=console["__"+e],delete console["__"+e])}wrapStd(){this._wrapStream(this.stdout,"log"),this._wrapStream(this.stderr,"log")}_wrapStream(e,u){e&&(e.__write||(e.__write=e.write),e.write=(e=>{this[u](String(e).trim())}))}restoreStd(){this._restoreStream(this.stdout),this._restoreStream(this.stderr)}_restoreStream(e){e&&e.__write&&(e.write=e.__write,delete e.__write)}pauseLogs(){paused=!0}resumeLogs(){paused=!1;const e=queue.splice(0);for(const u of e)u[0]._logFn(u[1],u[2])}mockTypes(e){if(this._mockFn=e||this._mockFn,"function"==typeof this._mockFn)for(const e in this._types)this[e]=this._mockFn(e,this._types[e])||this[e]}_wrapLogFn(e){return function(){if(!paused)return this._logFn(e,arguments);queue.push([this,e,arguments])}.bind(this)}_logFn(e,u){if(e.level>this._level)return!!this._async&&Promise.resolve(!1);const D=Object.assign({date:new Date,args:[]},e);1===u.length&&isLogObj(u[0])?Object.assign(D,u[0]):D.args=Array.from(u),D.message&&(D.args.unshift(D.message),delete D.message),D.additional&&(Array.isArray(D.additional)||(D.additional=D.additional.split("\n")),D.args.push("\n"+D.additional.join("\n")),delete D.additional),D.type&&(D.type=D.type.toLowerCase()),D.tag&&(D.tag=D.tag.toLowerCase());const t=this._lastMessageTime?D.date-this._lastMessageTime:0;if(this._lastMessageTime=D.date,t<this._throttle)try{const e=JSON.stringify([D.type,D.tag,D.args]),u=this._lastMessage===e;if(this._lastMessage=e,u)return}catch(e){}if(this._async)return this._logAsync(D);this._log(D)}_log(e){for(const u of this._reporters)u.log(e,{async:!1,stdout:this.stdout,stderr:this.stderr})}_logAsync(e){return Promise.all(this._reporters.map(u=>u.log(e,{async:!0,stdout:this.stdout,stderr:this.stderr})))}}function parseStack(e){const u=process.cwd()+path.sep;return e.split("\n").splice(1).map(e=>e.trim().replace("file://","").replace(u,""))}function writeStream(e,u,D="default"){const t=u.__write||u.write;switch(D){case"async":return new Promise(D=>{!0===t.call(u,e)?D():u.once("drain",()=>{D()})});case"sync":return fs.writeSync(u.fd,e);default:return t.call(u,e)}}Consola.prototype.add=Consola.prototype.addReporter,Consola.prototype.remove=Consola.prototype.removeReporter,Consola.prototype.clear=Consola.prototype.removeReporter,Consola.prototype.withScope=Consola.prototype.withTag,Consola.prototype.mock=Consola.prototype.mockTypes,Consola.prototype.pause=Consola.prototype.pauseLogs,Consola.prototype.resume=Consola.prototype.resumeLogs;var dayjs_min=createCommonjsModule(function(e,u){e.exports=function(){var e="millisecond",u="second",D="minute",t="hour",r="day",n="week",o="month",s="quarter",a="year",i=/^(\d{4})-?(\d{1,2})-?(\d{0,2})[^0-9]*(\d{1,2})?:?(\d{1,2})?:?(\d{1,2})?.?(\d{1,3})?$/,l=/\[([^\]]+)]|Y{2,4}|M{1,4}|D{1,2}|d{1,4}|H{1,2}|h{1,2}|a|A|m{1,2}|s{1,2}|Z{1,2}|SSS/g,c=function(e,u,D){var t=String(e);return!t||t.length>=u?e:""+Array(u+1-t.length).join(D)+e},h={s:c,z:function(e){var u=-e.utcOffset(),D=Math.abs(u),t=Math.floor(D/60),r=D%60;return(u<=0?"+":"-")+c(t,2,"0")+":"+c(r,2,"0")},m:function(e,u){var D=12*(u.year()-e.year())+(u.month()-e.month()),t=e.clone().add(D,o),r=u-t<0,n=e.clone().add(D+(r?-1:1),o);return Number(-(D+(u-t)/(r?t-n:n-t))||0)},a:function(e){return e<0?Math.ceil(e)||0:Math.floor(e)},p:function(i){return{M:o,y:a,w:n,d:r,h:t,m:D,s:u,ms:e,Q:s}[i]||String(i||"").toLowerCase().replace(/s$/,"")},u:function(e){return void 0===e}},C={name:"en",weekdays:"Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),months:"January_February_March_April_May_June_July_August_September_October_November_December".split("_")},F="en",p={};p[F]=C;var f=function(e){return e instanceof m},E=function(e,u,D){var t;if(!e)return null;if("string"==typeof e)p[e]&&(t=e),u&&(p[e]=u,t=e);else{var r=e.name;p[r]=e,t=r}return D||(F=t),t},d=function(e,u,D){if(f(e))return e.clone();var t=u?"string"==typeof u?{format:u,pl:D}:u:{};return t.date=e,new m(t)},g=h;g.l=E,g.i=f,g.w=function(e,u){return d(e,{locale:u.$L,utc:u.$u})};var m=function(){function c(e){this.$L=this.$L||E(e.locale,null,!0)||F,this.parse(e)}var h=c.prototype;return h.parse=function(e){this.$d=function(e){var u=e.date,D=e.utc;if(null===u)return new Date(NaN);if(g.u(u))return new Date;if(u instanceof Date)return new Date(u);if("string"==typeof u&&!/Z$/i.test(u)){var t=u.match(i);if(t)return D?new Date(Date.UTC(t[1],t[2]-1,t[3]||1,t[4]||0,t[5]||0,t[6]||0,t[7]||0)):new Date(t[1],t[2]-1,t[3]||1,t[4]||0,t[5]||0,t[6]||0,t[7]||0)}return new Date(u)}(e),this.init()},h.init=function(){var e=this.$d;this.$y=e.getFullYear(),this.$M=e.getMonth(),this.$D=e.getDate(),this.$W=e.getDay(),this.$H=e.getHours(),this.$m=e.getMinutes(),this.$s=e.getSeconds(),this.$ms=e.getMilliseconds()},h.$utils=function(){return g},h.isValid=function(){return!("Invalid Date"===this.$d.toString())},h.isSame=function(e,u){var D=d(e);return this.startOf(u)<=D&&D<=this.endOf(u)},h.isAfter=function(e,u){return d(e)<this.startOf(u)},h.isBefore=function(e,u){return this.endOf(u)<d(e)},h.$g=function(e,u,D){return g.u(e)?this[u]:this.set(D,e)},h.year=function(e){return this.$g(e,"$y",a)},h.month=function(e){return this.$g(e,"$M",o)},h.day=function(e){return this.$g(e,"$W",r)},h.date=function(e){return this.$g(e,"$D","date")},h.hour=function(e){return this.$g(e,"$H",t)},h.minute=function(e){return this.$g(e,"$m",D)},h.second=function(e){return this.$g(e,"$s",u)},h.millisecond=function(u){return this.$g(u,"$ms",e)},h.unix=function(){return Math.floor(this.valueOf()/1e3)},h.valueOf=function(){return this.$d.getTime()},h.startOf=function(e,s){var i=this,l=!!g.u(s)||s,c=g.p(e),h=function(e,u){var D=g.w(i.$u?Date.UTC(i.$y,u,e):new Date(i.$y,u,e),i);return l?D:D.endOf(r)},C=function(e,u){return g.w(i.toDate()[e].apply(i.toDate(),(l?[0,0,0,0]:[23,59,59,999]).slice(u)),i)},F=this.$W,p=this.$M,f=this.$D,E="set"+(this.$u?"UTC":"");switch(c){case a:return l?h(1,0):h(31,11);case o:return l?h(1,p):h(0,p+1);case n:var d=this.$locale().weekStart||0,m=(F<d?F+7:F)-d;return h(l?f-m:f+(6-m),p);case r:case"date":return C(E+"Hours",0);case t:return C(E+"Minutes",1);case D:return C(E+"Seconds",2);case u:return C(E+"Milliseconds",3);default:return this.clone()}},h.endOf=function(e){return this.startOf(e,!1)},h.$set=function(n,s){var i,l=g.p(n),c="set"+(this.$u?"UTC":""),h=(i={},i[r]=c+"Date",i.date=c+"Date",i[o]=c+"Month",i[a]=c+"FullYear",i[t]=c+"Hours",i[D]=c+"Minutes",i[u]=c+"Seconds",i[e]=c+"Milliseconds",i)[l],C=l===r?this.$D+(s-this.$W):s;if(l===o||l===a){var F=this.clone().set("date",1);F.$d[h](C),F.init(),this.$d=F.set("date",Math.min(this.$D,F.daysInMonth())).toDate()}else h&&this.$d[h](C);return this.init(),this},h.set=function(e,u){return this.clone().$set(e,u)},h.get=function(e){return this[g.p(e)]()},h.add=function(e,s){var i,l=this;e=Number(e);var c=g.p(s),h=function(u){var D=d(l);return g.w(D.date(D.date()+Math.round(u*e)),l)};if(c===o)return this.set(o,this.$M+e);if(c===a)return this.set(a,this.$y+e);if(c===r)return h(1);if(c===n)return h(7);var C=(i={},i[D]=6e4,i[t]=36e5,i[u]=1e3,i)[c]||1,F=this.valueOf()+e*C;return g.w(F,this)},h.subtract=function(e,u){return this.add(-1*e,u)},h.format=function(e){var u=this;if(!this.isValid())return"Invalid Date";var D=e||"YYYY-MM-DDTHH:mm:ssZ",t=g.z(this),r=this.$locale(),n=this.$H,o=this.$m,s=this.$M,a=r.weekdays,i=r.months,c=function(e,t,r,n){return e&&(e[t]||e(u,D))||r[t].substr(0,n)},h=function(e){return g.s(n%12||12,e,"0")},C=r.meridiem||function(e,u,D){var t=e<12?"AM":"PM";return D?t.toLowerCase():t},F={YY:String(this.$y).slice(-2),YYYY:this.$y,M:s+1,MM:g.s(s+1,2,"0"),MMM:c(r.monthsShort,s,i,3),MMMM:i[s]||i(this,D),D:this.$D,DD:g.s(this.$D,2,"0"),d:String(this.$W),dd:c(r.weekdaysMin,this.$W,a,2),ddd:c(r.weekdaysShort,this.$W,a,3),dddd:a[this.$W],H:String(n),HH:g.s(n,2,"0"),h:h(1),hh:h(2),a:C(n,o,!0),A:C(n,o,!1),m:String(o),mm:g.s(o,2,"0"),s:String(this.$s),ss:g.s(this.$s,2,"0"),SSS:g.s(this.$ms,3,"0"),Z:t};return D.replace(l,function(e,u){return u||F[e]||t.replace(":","")})},h.utcOffset=function(){return 15*-Math.round(this.$d.getTimezoneOffset()/15)},h.diff=function(e,i,l){var c,h=g.p(i),C=d(e),F=6e4*(C.utcOffset()-this.utcOffset()),p=this-C,f=g.m(this,C);return f=(c={},c[a]=f/12,c[o]=f,c[s]=f/3,c[n]=(p-F)/6048e5,c[r]=(p-F)/864e5,c[t]=p/36e5,c[D]=p/6e4,c[u]=p/1e3,c)[h]||p,l?f:g.a(f)},h.daysInMonth=function(){return this.endOf(o).$D},h.$locale=function(){return p[this.$L]},h.locale=function(e,u){if(!e)return this.$L;var D=this.clone();return D.$L=E(e,u,!0),D},h.clone=function(){return g.w(this.toDate(),this)},h.toDate=function(){return new Date(this.$d)},h.toJSON=function(){return this.toISOString()},h.toISOString=function(){return this.$d.toISOString()},h.toString=function(){return this.$d.toUTCString()},c}();return d.prototype=m.prototype,d.extend=function(e,u){return e(u,m,d),d},d.locale=E,d.isDayjs=f,d.unix=function(e){return d(1e3*e)},d.en=p[F],d.Ls=p,d}()});function formatDate(e,u){return dayjs_min(u).format(e)}const DEFAULTS={dateFormat:"HH:mm:ss",formatOptions:{colors:!1,compact:!0}},bracket=e=>e?`[${e}]`:"";class BasicReporter{constructor(e){this.options=Object.assign({},DEFAULTS,e)}formatStack(e){return"  "+parseStack(e).join("\n  ")}formatArgs(e){const u=e.map(e=>e&&"string"==typeof e.stack?e.message+"\n"+this.formatStack(e.stack):e);return"function"==typeof util.formatWithOptions?util.formatWithOptions(this.options.formatOptions,...u):util.format(...u)}formatDate(e){return formatDate(this.options.dateFormat,e)}filterAndJoin(e){return e.filter(e=>e).join(" ")}formatLogObj(e){const u=this.formatArgs(e.args);return this.filterAndJoin([bracket(e.type),bracket(e.tag),u])}log(e,{async:u,stdout:D,stderr:t}={}){return writeStream(this.formatLogObj(e,{width:D.columns||0})+"\n",e.level<2?t:D,u?"async":"default")}}var ansiRegex=e=>{e=Object.assign({onlyFirst:!1},e);const u=["[\\u001B\\u009B][[\\]()#;?]*(?:(?:(?:[a-zA-Z\\d]*(?:;[-a-zA-Z\\d\\/#&.:=?%@~_]*)*)?\\u0007)","(?:(?:\\d{1,4}(?:;\\d{0,4})*)?[\\dA-PR-TZcf-ntqry=><~]))"].join("|");return new RegExp(u,e.onlyFirst?void 0:"g")};const stripAnsi=e=>"string"==typeof e?e.replace(ansiRegex(),""):e;var stripAnsi_1=stripAnsi,default_1=stripAnsi;stripAnsi_1.default=default_1;const isFullwidthCodePoint=e=>!Number.isNaN(e)&&(e>=4352&&(e<=4447||9001===e||9002===e||11904<=e&&e<=12871&&12351!==e||12880<=e&&e<=19903||19968<=e&&e<=42182||43360<=e&&e<=43388||44032<=e&&e<=55203||63744<=e&&e<=64255||65040<=e&&e<=65049||65072<=e&&e<=65131||65281<=e&&e<=65376||65504<=e&&e<=65510||110592<=e&&e<=110593||127488<=e&&e<=127569||131072<=e&&e<=262141));var isFullwidthCodePoint_1=isFullwidthCodePoint,default_1$1=isFullwidthCodePoint;isFullwidthCodePoint_1.default=default_1$1;var emojiRegex=function(){return/\uD83C\uDFF4\uDB40\uDC67\uDB40\uDC62(?:\uDB40\uDC65\uDB40\uDC6E\uDB40\uDC67|\uDB40\uDC73\uDB40\uDC63\uDB40\uDC74|\uDB40\uDC77\uDB40\uDC6C\uDB40\uDC73)\uDB40\uDC7F|\uD83D\uDC68(?:\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68\uD83C\uDFFB|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFE])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D)?\uD83D\uDC68|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D[\uDC68\uDC69])\u200D(?:\uD83D[\uDC66\uDC67])|[\u2695\u2696\u2708]\uFE0F|\uD83D[\uDC66\uDC67]|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|(?:\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708])\uFE0F|\uD83C\uDFFB\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C[\uDFFB-\uDFFF])|(?:\uD83E\uDDD1\uD83C\uDFFB\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)\uD83C\uDFFB|\uD83E\uDDD1(?:\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1)|(?:\uD83E\uDDD1\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFF\u200D\uD83E\uDD1D\u200D(?:\uD83D[\uDC68\uDC69]))(?:\uD83C[\uDFFB-\uDFFE])|(?:\uD83E\uDDD1\uD83C\uDFFC\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB\uDFFC])|\uD83D\uDC69(?:\uD83C\uDFFE\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB-\uDFFD\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFC\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFD-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFB\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFC-\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFD\u200D(?:\uD83E\uDD1D\u200D\uD83D\uDC68(?:\uD83C[\uDFFB\uDFFC\uDFFE\uDFFF])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\u200D(?:\u2764\uFE0F\u200D(?:\uD83D\uDC8B\u200D(?:\uD83D[\uDC68\uDC69])|\uD83D[\uDC68\uDC69])|\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD])|\uD83C\uDFFF\u200D(?:\uD83C[\uDF3E\uDF73\uDF93\uDFA4\uDFA8\uDFEB\uDFED]|\uD83D[\uDCBB\uDCBC\uDD27\uDD2C\uDE80\uDE92]|\uD83E[\uDDAF-\uDDB3\uDDBC\uDDBD]))|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67]))|(?:\uD83E\uDDD1\uD83C\uDFFD\u200D\uD83E\uDD1D\u200D\uD83E\uDDD1|\uD83D\uDC69\uD83C\uDFFE\u200D\uD83E\uDD1D\u200D\uD83D\uDC69)(?:\uD83C[\uDFFB-\uDFFD])|\uD83D\uDC69\u200D\uD83D\uDC66\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC69\u200D(?:\uD83D[\uDC66\uDC67])|(?:\uD83D\uDC41\uFE0F\u200D\uD83D\uDDE8|\uD83D\uDC69(?:\uD83C\uDFFF\u200D[\u2695\u2696\u2708]|\uD83C\uDFFE\u200D[\u2695\u2696\u2708]|\uD83C\uDFFC\u200D[\u2695\u2696\u2708]|\uD83C\uDFFB\u200D[\u2695\u2696\u2708]|\uD83C\uDFFD\u200D[\u2695\u2696\u2708]|\u200D[\u2695\u2696\u2708])|(?:(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)\uFE0F|\uD83D\uDC6F|\uD83E[\uDD3C\uDDDE\uDDDF])\u200D[\u2640\u2642]|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:(?:\uD83C[\uDFFB-\uDFFF])\u200D[\u2640\u2642]|\u200D[\u2640\u2642])|\uD83C\uDFF4\u200D\u2620)\uFE0F|\uD83D\uDC69\u200D\uD83D\uDC67\u200D(?:\uD83D[\uDC66\uDC67])|\uD83C\uDFF3\uFE0F\u200D\uD83C\uDF08|\uD83D\uDC15\u200D\uD83E\uDDBA|\uD83D\uDC69\u200D\uD83D\uDC66|\uD83D\uDC69\u200D\uD83D\uDC67|\uD83C\uDDFD\uD83C\uDDF0|\uD83C\uDDF4\uD83C\uDDF2|\uD83C\uDDF6\uD83C\uDDE6|[#\*0-9]\uFE0F\u20E3|\uD83C\uDDE7(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEF\uDDF1-\uDDF4\uDDF6-\uDDF9\uDDFB\uDDFC\uDDFE\uDDFF])|\uD83C\uDDF9(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDED\uDDEF-\uDDF4\uDDF7\uDDF9\uDDFB\uDDFC\uDDFF])|\uD83C\uDDEA(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDED\uDDF7-\uDDFA])|\uD83E\uDDD1(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF7(?:\uD83C[\uDDEA\uDDF4\uDDF8\uDDFA\uDDFC])|\uD83D\uDC69(?:\uD83C[\uDFFB-\uDFFF])|\uD83C\uDDF2(?:\uD83C[\uDDE6\uDDE8-\uDDED\uDDF0-\uDDFF])|\uD83C\uDDE6(?:\uD83C[\uDDE8-\uDDEC\uDDEE\uDDF1\uDDF2\uDDF4\uDDF6-\uDDFA\uDDFC\uDDFD\uDDFF])|\uD83C\uDDF0(?:\uD83C[\uDDEA\uDDEC-\uDDEE\uDDF2\uDDF3\uDDF5\uDDF7\uDDFC\uDDFE\uDDFF])|\uD83C\uDDED(?:\uD83C[\uDDF0\uDDF2\uDDF3\uDDF7\uDDF9\uDDFA])|\uD83C\uDDE9(?:\uD83C[\uDDEA\uDDEC\uDDEF\uDDF0\uDDF2\uDDF4\uDDFF])|\uD83C\uDDFE(?:\uD83C[\uDDEA\uDDF9])|\uD83C\uDDEC(?:\uD83C[\uDDE6\uDDE7\uDDE9-\uDDEE\uDDF1-\uDDF3\uDDF5-\uDDFA\uDDFC\uDDFE])|\uD83C\uDDF8(?:\uD83C[\uDDE6-\uDDEA\uDDEC-\uDDF4\uDDF7-\uDDF9\uDDFB\uDDFD-\uDDFF])|\uD83C\uDDEB(?:\uD83C[\uDDEE-\uDDF0\uDDF2\uDDF4\uDDF7])|\uD83C\uDDF5(?:\uD83C[\uDDE6\uDDEA-\uDDED\uDDF0-\uDDF3\uDDF7-\uDDF9\uDDFC\uDDFE])|\uD83C\uDDFB(?:\uD83C[\uDDE6\uDDE8\uDDEA\uDDEC\uDDEE\uDDF3\uDDFA])|\uD83C\uDDF3(?:\uD83C[\uDDE6\uDDE8\uDDEA-\uDDEC\uDDEE\uDDF1\uDDF4\uDDF5\uDDF7\uDDFA\uDDFF])|\uD83C\uDDE8(?:\uD83C[\uDDE6\uDDE8\uDDE9\uDDEB-\uDDEE\uDDF0-\uDDF5\uDDF7\uDDFA-\uDDFF])|\uD83C\uDDF1(?:\uD83C[\uDDE6-\uDDE8\uDDEE\uDDF0\uDDF7-\uDDFB\uDDFE])|\uD83C\uDDFF(?:\uD83C[\uDDE6\uDDF2\uDDFC])|\uD83C\uDDFC(?:\uD83C[\uDDEB\uDDF8])|\uD83C\uDDFA(?:\uD83C[\uDDE6\uDDEC\uDDF2\uDDF3\uDDF8\uDDFE\uDDFF])|\uD83C\uDDEE(?:\uD83C[\uDDE8-\uDDEA\uDDF1-\uDDF4\uDDF6-\uDDF9])|\uD83C\uDDEF(?:\uD83C[\uDDEA\uDDF2\uDDF4\uDDF5])|(?:\uD83C[\uDFC3\uDFC4\uDFCA]|\uD83D[\uDC6E\uDC71\uDC73\uDC77\uDC81\uDC82\uDC86\uDC87\uDE45-\uDE47\uDE4B\uDE4D\uDE4E\uDEA3\uDEB4-\uDEB6]|\uD83E[\uDD26\uDD37-\uDD39\uDD3D\uDD3E\uDDB8\uDDB9\uDDCD-\uDDCF\uDDD6-\uDDDD])(?:\uD83C[\uDFFB-\uDFFF])|(?:\u26F9|\uD83C[\uDFCB\uDFCC]|\uD83D\uDD75)(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u261D\u270A-\u270D]|\uD83C[\uDF85\uDFC2\uDFC7]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66\uDC67\uDC6B-\uDC6D\uDC70\uDC72\uDC74-\uDC76\uDC78\uDC7C\uDC83\uDC85\uDCAA\uDD74\uDD7A\uDD90\uDD95\uDD96\uDE4C\uDE4F\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1C\uDD1E\uDD1F\uDD30-\uDD36\uDDB5\uDDB6\uDDBB\uDDD2-\uDDD5])(?:\uD83C[\uDFFB-\uDFFF])|(?:[\u231A\u231B\u23E9-\u23EC\u23F0\u23F3\u25FD\u25FE\u2614\u2615\u2648-\u2653\u267F\u2693\u26A1\u26AA\u26AB\u26BD\u26BE\u26C4\u26C5\u26CE\u26D4\u26EA\u26F2\u26F3\u26F5\u26FA\u26FD\u2705\u270A\u270B\u2728\u274C\u274E\u2753-\u2755\u2757\u2795-\u2797\u27B0\u27BF\u2B1B\u2B1C\u2B50\u2B55]|\uD83C[\uDC04\uDCCF\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE1A\uDE2F\uDE32-\uDE36\uDE38-\uDE3A\uDE50\uDE51\uDF00-\uDF20\uDF2D-\uDF35\uDF37-\uDF7C\uDF7E-\uDF93\uDFA0-\uDFCA\uDFCF-\uDFD3\uDFE0-\uDFF0\uDFF4\uDFF8-\uDFFF]|\uD83D[\uDC00-\uDC3E\uDC40\uDC42-\uDCFC\uDCFF-\uDD3D\uDD4B-\uDD4E\uDD50-\uDD67\uDD7A\uDD95\uDD96\uDDA4\uDDFB-\uDE4F\uDE80-\uDEC5\uDECC\uDED0-\uDED2\uDED5\uDEEB\uDEEC\uDEF4-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])|(?:[#\*0-9\xA9\xAE\u203C\u2049\u2122\u2139\u2194-\u2199\u21A9\u21AA\u231A\u231B\u2328\u23CF\u23E9-\u23F3\u23F8-\u23FA\u24C2\u25AA\u25AB\u25B6\u25C0\u25FB-\u25FE\u2600-\u2604\u260E\u2611\u2614\u2615\u2618\u261D\u2620\u2622\u2623\u2626\u262A\u262E\u262F\u2638-\u263A\u2640\u2642\u2648-\u2653\u265F\u2660\u2663\u2665\u2666\u2668\u267B\u267E\u267F\u2692-\u2697\u2699\u269B\u269C\u26A0\u26A1\u26AA\u26AB\u26B0\u26B1\u26BD\u26BE\u26C4\u26C5\u26C8\u26CE\u26CF\u26D1\u26D3\u26D4\u26E9\u26EA\u26F0-\u26F5\u26F7-\u26FA\u26FD\u2702\u2705\u2708-\u270D\u270F\u2712\u2714\u2716\u271D\u2721\u2728\u2733\u2734\u2744\u2747\u274C\u274E\u2753-\u2755\u2757\u2763\u2764\u2795-\u2797\u27A1\u27B0\u27BF\u2934\u2935\u2B05-\u2B07\u2B1B\u2B1C\u2B50\u2B55\u3030\u303D\u3297\u3299]|\uD83C[\uDC04\uDCCF\uDD70\uDD71\uDD7E\uDD7F\uDD8E\uDD91-\uDD9A\uDDE6-\uDDFF\uDE01\uDE02\uDE1A\uDE2F\uDE32-\uDE3A\uDE50\uDE51\uDF00-\uDF21\uDF24-\uDF93\uDF96\uDF97\uDF99-\uDF9B\uDF9E-\uDFF0\uDFF3-\uDFF5\uDFF7-\uDFFF]|\uD83D[\uDC00-\uDCFD\uDCFF-\uDD3D\uDD49-\uDD4E\uDD50-\uDD67\uDD6F\uDD70\uDD73-\uDD7A\uDD87\uDD8A-\uDD8D\uDD90\uDD95\uDD96\uDDA4\uDDA5\uDDA8\uDDB1\uDDB2\uDDBC\uDDC2-\uDDC4\uDDD1-\uDDD3\uDDDC-\uDDDE\uDDE1\uDDE3\uDDE8\uDDEF\uDDF3\uDDFA-\uDE4F\uDE80-\uDEC5\uDECB-\uDED2\uDED5\uDEE0-\uDEE5\uDEE9\uDEEB\uDEEC\uDEF0\uDEF3-\uDEFA\uDFE0-\uDFEB]|\uD83E[\uDD0D-\uDD3A\uDD3C-\uDD45\uDD47-\uDD71\uDD73-\uDD76\uDD7A-\uDDA2\uDDA5-\uDDAA\uDDAE-\uDDCA\uDDCD-\uDDFF\uDE70-\uDE73\uDE78-\uDE7A\uDE80-\uDE82\uDE90-\uDE95])\uFE0F|(?:[\u261D\u26F9\u270A-\u270D]|\uD83C[\uDF85\uDFC2-\uDFC4\uDFC7\uDFCA-\uDFCC]|\uD83D[\uDC42\uDC43\uDC46-\uDC50\uDC66-\uDC78\uDC7C\uDC81-\uDC83\uDC85-\uDC87\uDC8F\uDC91\uDCAA\uDD74\uDD75\uDD7A\uDD90\uDD95\uDD96\uDE45-\uDE47\uDE4B-\uDE4F\uDEA3\uDEB4-\uDEB6\uDEC0\uDECC]|\uD83E[\uDD0F\uDD18-\uDD1F\uDD26\uDD30-\uDD39\uDD3C-\uDD3E\uDDB5\uDDB6\uDDB8\uDDB9\uDDBB\uDDCD-\uDDCF\uDDD1-\uDDDD])/g};const stringWidth=e=>{if("string"!=typeof(e=e.replace(emojiRegex(),"  "))||0===e.length)return 0;e=stripAnsi_1(e);let u=0;for(let D=0;D<e.length;D++){const t=e.codePointAt(D);t<=31||t>=127&&t<=159||(t>=768&&t<=879||(t>65535&&D++,u+=isFullwidthCodePoint_1(t)?2:1))}return u};var stringWidth_1=stringWidth,default_1$2=stringWidth;stringWidth_1.default=default_1$2;var matchOperatorsRe=/[|\\{}()[\]^$+*?.]/g,escapeStringRegexp=function(e){if("string"!=typeof e)throw new TypeError("Expected a string");return e.replace(matchOperatorsRe,"\\$&")};const{platform:platform$1}=process,main={tick:"✔",cross:"✖",star:"★",square:"▇",squareSmall:"◻",squareSmallFilled:"◼",play:"▶",circle:"◯",circleFilled:"◉",circleDotted:"◌",circleDouble:"◎",circleCircle:"ⓞ",circleCross:"ⓧ",circlePipe:"Ⓘ",circleQuestionMark:"?⃝",bullet:"●",dot:"․",line:"─",ellipsis:"…",pointer:"❯",pointerSmall:"›",info:"ℹ",warning:"⚠",hamburger:"☰",smiley:"㋡",mustache:"෴",heart:"♥",arrowUp:"↑",arrowDown:"↓",arrowLeft:"←",arrowRight:"→",radioOn:"◉",radioOff:"◯",checkboxOn:"☒",checkboxOff:"☐",checkboxCircleOn:"ⓧ",checkboxCircleOff:"Ⓘ",questionMarkPrefix:"?⃝",oneHalf:"½",oneThird:"⅓",oneQuarter:"¼",oneFifth:"⅕",oneSixth:"⅙",oneSeventh:"⅐",oneEighth:"⅛",oneNinth:"⅑",oneTenth:"⅒",twoThirds:"⅔",twoFifths:"⅖",threeQuarters:"¾",threeFifths:"⅗",threeEighths:"⅜",fourFifths:"⅘",fiveSixths:"⅚",fiveEighths:"⅝",sevenEighths:"⅞"},windows={tick:"√",cross:"×",star:"*",square:"█",squareSmall:"[ ]",squareSmallFilled:"[█]",play:"►",circle:"( )",circleFilled:"(*)",circleDotted:"( )",circleDouble:"( )",circleCircle:"(○)",circleCross:"(×)",circlePipe:"(│)",circleQuestionMark:"(?)",bullet:"*",dot:".",line:"─",ellipsis:"...",pointer:">",pointerSmall:"»",info:"i",warning:"‼",hamburger:"≡",smiley:"☺",mustache:"┌─┐",heart:main.heart,arrowUp:main.arrowUp,arrowDown:main.arrowDown,arrowLeft:main.arrowLeft,arrowRight:main.arrowRight,radioOn:"(*)",radioOff:"( )",checkboxOn:"[×]",checkboxOff:"[ ]",checkboxCircleOn:"(×)",checkboxCircleOff:"( )",questionMarkPrefix:"？",oneHalf:"1/2",oneThird:"1/3",oneQuarter:"1/4",oneFifth:"1/5",oneSixth:"1/6",oneSeventh:"1/7",oneEighth:"1/8",oneNinth:"1/9",oneTenth:"1/10",twoThirds:"2/3",twoFifths:"2/5",threeQuarters:"3/4",threeFifths:"3/5",threeEighths:"3/8",fourFifths:"4/5",fiveSixths:"5/6",fiveEighths:"5/8",sevenEighths:"7/8"};"linux"===platform$1&&(main.questionMarkPrefix="?");const figures="win32"===platform$1?windows:main,fn=e=>{if(figures===main)return e;for(const[u,D]of Object.entries(main))D!==figures[u]&&(e=e.replace(new RegExp(escapeStringRegexp(D),"g"),figures[u]));return e};var figures_1=Object.assign(fn,figures),colorName={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},conversions=createCommonjsModule(function(e){var u={};for(var D in colorName)colorName.hasOwnProperty(D)&&(u[colorName[D]]=D);var t=e.exports={rgb:{channels:3,labels:"rgb"},hsl:{channels:3,labels:"hsl"},hsv:{channels:3,labels:"hsv"},hwb:{channels:3,labels:"hwb"},cmyk:{channels:4,labels:"cmyk"},xyz:{channels:3,labels:"xyz"},lab:{channels:3,labels:"lab"},lch:{channels:3,labels:"lch"},hex:{channels:1,labels:["hex"]},keyword:{channels:1,labels:["keyword"]},ansi16:{channels:1,labels:["ansi16"]},ansi256:{channels:1,labels:["ansi256"]},hcg:{channels:3,labels:["h","c","g"]},apple:{channels:3,labels:["r16","g16","b16"]},gray:{channels:1,labels:["gray"]}};for(var r in t)if(t.hasOwnProperty(r)){if(!("channels"in t[r]))throw new Error("missing channels property: "+r);if(!("labels"in t[r]))throw new Error("missing channel labels property: "+r);if(t[r].labels.length!==t[r].channels)throw new Error("channel and label counts mismatch: "+r);var n=t[r].channels,o=t[r].labels;delete t[r].channels,delete t[r].labels,Object.defineProperty(t[r],"channels",{value:n}),Object.defineProperty(t[r],"labels",{value:o})}t.rgb.hsl=function(e){var u,D,t=e[0]/255,r=e[1]/255,n=e[2]/255,o=Math.min(t,r,n),s=Math.max(t,r,n),a=s-o;return s===o?u=0:t===s?u=(r-n)/a:r===s?u=2+(n-t)/a:n===s&&(u=4+(t-r)/a),(u=Math.min(60*u,360))<0&&(u+=360),D=(o+s)/2,[u,100*(s===o?0:D<=.5?a/(s+o):a/(2-s-o)),100*D]},t.rgb.hsv=function(e){var u,D,t,r,n,o=e[0]/255,s=e[1]/255,a=e[2]/255,i=Math.max(o,s,a),l=i-Math.min(o,s,a),c=function(e){return(i-e)/6/l+.5};return 0===l?r=n=0:(n=l/i,u=c(o),D=c(s),t=c(a),o===i?r=t-D:s===i?r=1/3+u-t:a===i&&(r=2/3+D-u),r<0?r+=1:r>1&&(r-=1)),[360*r,100*n,100*i]},t.rgb.hwb=function(e){var u=e[0],D=e[1],r=e[2];return[t.rgb.hsl(e)[0],100*(1/255*Math.min(u,Math.min(D,r))),100*(r=1-1/255*Math.max(u,Math.max(D,r)))]},t.rgb.cmyk=function(e){var u,D=e[0]/255,t=e[1]/255,r=e[2]/255;return[100*((1-D-(u=Math.min(1-D,1-t,1-r)))/(1-u)||0),100*((1-t-u)/(1-u)||0),100*((1-r-u)/(1-u)||0),100*u]},t.rgb.keyword=function(e){var D=u[e];if(D)return D;var t,r,n,o=1/0;for(var s in colorName)if(colorName.hasOwnProperty(s)){var a=colorName[s],i=(r=e,n=a,Math.pow(r[0]-n[0],2)+Math.pow(r[1]-n[1],2)+Math.pow(r[2]-n[2],2));i<o&&(o=i,t=s)}return t},t.keyword.rgb=function(e){return colorName[e]},t.rgb.xyz=function(e){var u=e[0]/255,D=e[1]/255,t=e[2]/255;return[100*(.4124*(u=u>.04045?Math.pow((u+.055)/1.055,2.4):u/12.92)+.3576*(D=D>.04045?Math.pow((D+.055)/1.055,2.4):D/12.92)+.1805*(t=t>.04045?Math.pow((t+.055)/1.055,2.4):t/12.92)),100*(.2126*u+.7152*D+.0722*t),100*(.0193*u+.1192*D+.9505*t)]},t.rgb.lab=function(e){var u=t.rgb.xyz(e),D=u[0],r=u[1],n=u[2];return r/=100,n/=108.883,D=(D/=95.047)>.008856?Math.pow(D,1/3):7.787*D+16/116,[116*(r=r>.008856?Math.pow(r,1/3):7.787*r+16/116)-16,500*(D-r),200*(r-(n=n>.008856?Math.pow(n,1/3):7.787*n+16/116))]},t.hsl.rgb=function(e){var u,D,t,r,n,o=e[0]/360,s=e[1]/100,a=e[2]/100;if(0===s)return[n=255*a,n,n];u=2*a-(D=a<.5?a*(1+s):a+s-a*s),r=[0,0,0];for(var i=0;i<3;i++)(t=o+1/3*-(i-1))<0&&t++,t>1&&t--,n=6*t<1?u+6*(D-u)*t:2*t<1?D:3*t<2?u+(D-u)*(2/3-t)*6:u,r[i]=255*n;return r},t.hsl.hsv=function(e){var u=e[0],D=e[1]/100,t=e[2]/100,r=D,n=Math.max(t,.01);return D*=(t*=2)<=1?t:2-t,r*=n<=1?n:2-n,[u,100*(0===t?2*r/(n+r):2*D/(t+D)),100*((t+D)/2)]},t.hsv.rgb=function(e){var u=e[0]/60,D=e[1]/100,t=e[2]/100,r=Math.floor(u)%6,n=u-Math.floor(u),o=255*t*(1-D),s=255*t*(1-D*n),a=255*t*(1-D*(1-n));switch(t*=255,r){case 0:return[t,a,o];case 1:return[s,t,o];case 2:return[o,t,a];case 3:return[o,s,t];case 4:return[a,o,t];case 5:return[t,o,s]}},t.hsv.hsl=function(e){var u,D,t,r=e[0],n=e[1]/100,o=e[2]/100,s=Math.max(o,.01);return t=(2-n)*o,D=n*s,[r,100*(D=(D/=(u=(2-n)*s)<=1?u:2-u)||0),100*(t/=2)]},t.hwb.rgb=function(e){var u,D,t,r,n,o,s,a=e[0]/360,i=e[1]/100,l=e[2]/100,c=i+l;switch(c>1&&(i/=c,l/=c),t=6*a-(u=Math.floor(6*a)),0!=(1&u)&&(t=1-t),r=i+t*((D=1-l)-i),u){default:case 6:case 0:n=D,o=r,s=i;break;case 1:n=r,o=D,s=i;break;case 2:n=i,o=D,s=r;break;case 3:n=i,o=r,s=D;break;case 4:n=r,o=i,s=D;break;case 5:n=D,o=i,s=r}return[255*n,255*o,255*s]},t.cmyk.rgb=function(e){var u=e[0]/100,D=e[1]/100,t=e[2]/100,r=e[3]/100;return[255*(1-Math.min(1,u*(1-r)+r)),255*(1-Math.min(1,D*(1-r)+r)),255*(1-Math.min(1,t*(1-r)+r))]},t.xyz.rgb=function(e){var u,D,t,r=e[0]/100,n=e[1]/100,o=e[2]/100;return D=-.9689*r+1.8758*n+.0415*o,t=.0557*r+-.204*n+1.057*o,u=(u=3.2406*r+-1.5372*n+-.4986*o)>.0031308?1.055*Math.pow(u,1/2.4)-.055:12.92*u,D=D>.0031308?1.055*Math.pow(D,1/2.4)-.055:12.92*D,t=t>.0031308?1.055*Math.pow(t,1/2.4)-.055:12.92*t,[255*(u=Math.min(Math.max(0,u),1)),255*(D=Math.min(Math.max(0,D),1)),255*(t=Math.min(Math.max(0,t),1))]},t.xyz.lab=function(e){var u=e[0],D=e[1],t=e[2];return D/=100,t/=108.883,u=(u/=95.047)>.008856?Math.pow(u,1/3):7.787*u+16/116,[116*(D=D>.008856?Math.pow(D,1/3):7.787*D+16/116)-16,500*(u-D),200*(D-(t=t>.008856?Math.pow(t,1/3):7.787*t+16/116))]},t.lab.xyz=function(e){var u,D,t,r=e[0];u=e[1]/500+(D=(r+16)/116),t=D-e[2]/200;var n=Math.pow(D,3),o=Math.pow(u,3),s=Math.pow(t,3);return D=n>.008856?n:(D-16/116)/7.787,u=o>.008856?o:(u-16/116)/7.787,t=s>.008856?s:(t-16/116)/7.787,[u*=95.047,D*=100,t*=108.883]},t.lab.lch=function(e){var u,D=e[0],t=e[1],r=e[2];return(u=360*Math.atan2(r,t)/2/Math.PI)<0&&(u+=360),[D,Math.sqrt(t*t+r*r),u]},t.lch.lab=function(e){var u,D=e[0],t=e[1];return u=e[2]/360*2*Math.PI,[D,t*Math.cos(u),t*Math.sin(u)]},t.rgb.ansi16=function(e){var u=e[0],D=e[1],r=e[2],n=1 in arguments?arguments[1]:t.rgb.hsv(e)[2];if(0===(n=Math.round(n/50)))return 30;var o=30+(Math.round(r/255)<<2|Math.round(D/255)<<1|Math.round(u/255));return 2===n&&(o+=60),o},t.hsv.ansi16=function(e){return t.rgb.ansi16(t.hsv.rgb(e),e[2])},t.rgb.ansi256=function(e){var u=e[0],D=e[1],t=e[2];return u===D&&D===t?u<8?16:u>248?231:Math.round((u-8)/247*24)+232:16+36*Math.round(u/255*5)+6*Math.round(D/255*5)+Math.round(t/255*5)},t.ansi16.rgb=function(e){var u=e%10;if(0===u||7===u)return e>50&&(u+=3.5),[u=u/10.5*255,u,u];var D=.5*(1+~~(e>50));return[(1&u)*D*255,(u>>1&1)*D*255,(u>>2&1)*D*255]},t.ansi256.rgb=function(e){if(e>=232){var u=10*(e-232)+8;return[u,u,u]}var D;return e-=16,[Math.floor(e/36)/5*255,Math.floor((D=e%36)/6)/5*255,D%6/5*255]},t.rgb.hex=function(e){var u=(((255&Math.round(e[0]))<<16)+((255&Math.round(e[1]))<<8)+(255&Math.round(e[2]))).toString(16).toUpperCase();return"000000".substring(u.length)+u},t.hex.rgb=function(e){var u=e.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);if(!u)return[0,0,0];var D=u[0];3===u[0].length&&(D=D.split("").map(function(e){return e+e}).join(""));var t=parseInt(D,16);return[t>>16&255,t>>8&255,255&t]},t.rgb.hcg=function(e){var u,D=e[0]/255,t=e[1]/255,r=e[2]/255,n=Math.max(Math.max(D,t),r),o=Math.min(Math.min(D,t),r),s=n-o;return u=s<=0?0:n===D?(t-r)/s%6:n===t?2+(r-D)/s:4+(D-t)/s+4,u/=6,[360*(u%=1),100*s,100*(s<1?o/(1-s):0)]},t.hsl.hcg=function(e){var u=e[1]/100,D=e[2]/100,t=1,r=0;return(t=D<.5?2*u*D:2*u*(1-D))<1&&(r=(D-.5*t)/(1-t)),[e[0],100*t,100*r]},t.hsv.hcg=function(e){var u=e[1]/100,D=e[2]/100,t=u*D,r=0;return t<1&&(r=(D-t)/(1-t)),[e[0],100*t,100*r]},t.hcg.rgb=function(e){var u=e[0]/360,D=e[1]/100,t=e[2]/100;if(0===D)return[255*t,255*t,255*t];var r,n=[0,0,0],o=u%1*6,s=o%1,a=1-s;switch(Math.floor(o)){case 0:n[0]=1,n[1]=s,n[2]=0;break;case 1:n[0]=a,n[1]=1,n[2]=0;break;case 2:n[0]=0,n[1]=1,n[2]=s;break;case 3:n[0]=0,n[1]=a,n[2]=1;break;case 4:n[0]=s,n[1]=0,n[2]=1;break;default:n[0]=1,n[1]=0,n[2]=a}return r=(1-D)*t,[255*(D*n[0]+r),255*(D*n[1]+r),255*(D*n[2]+r)]},t.hcg.hsv=function(e){var u=e[1]/100,D=u+e[2]/100*(1-u),t=0;return D>0&&(t=u/D),[e[0],100*t,100*D]},t.hcg.hsl=function(e){var u=e[1]/100,D=e[2]/100*(1-u)+.5*u,t=0;return D>0&&D<.5?t=u/(2*D):D>=.5&&D<1&&(t=u/(2*(1-D))),[e[0],100*t,100*D]},t.hcg.hwb=function(e){var u=e[1]/100,D=u+e[2]/100*(1-u);return[e[0],100*(D-u),100*(1-D)]},t.hwb.hcg=function(e){var u=e[1]/100,D=1-e[2]/100,t=D-u,r=0;return t<1&&(r=(D-t)/(1-t)),[e[0],100*t,100*r]},t.apple.rgb=function(e){return[e[0]/65535*255,e[1]/65535*255,e[2]/65535*255]},t.rgb.apple=function(e){return[e[0]/255*65535,e[1]/255*65535,e[2]/255*65535]},t.gray.rgb=function(e){return[e[0]/100*255,e[0]/100*255,e[0]/100*255]},t.gray.hsl=t.gray.hsv=function(e){return[0,0,e[0]]},t.gray.hwb=function(e){return[0,100,e[0]]},t.gray.cmyk=function(e){return[0,0,0,e[0]]},t.gray.lab=function(e){return[e[0],0,0]},t.gray.hex=function(e){var u=255&Math.round(e[0]/100*255),D=((u<<16)+(u<<8)+u).toString(16).toUpperCase();return"000000".substring(D.length)+D},t.rgb.gray=function(e){return[(e[0]+e[1]+e[2])/3/255*100]}}),conversions_1=conversions.rgb,conversions_2=conversions.hsl,conversions_3=conversions.hsv,conversions_4=conversions.hwb,conversions_5=conversions.cmyk,conversions_6=conversions.xyz,conversions_7=conversions.lab,conversions_8=conversions.lch,conversions_9=conversions.hex,conversions_10=conversions.keyword,conversions_11=conversions.ansi16,conversions_12=conversions.ansi256,conversions_13=conversions.hcg,conversions_14=conversions.apple,conversions_15=conversions.gray;function buildGraph(){for(var e={},u=Object.keys(conversions),D=u.length,t=0;t<D;t++)e[u[t]]={distance:-1,parent:null};return e}function deriveBFS(e){var u=buildGraph(),D=[e];for(u[e].distance=0;D.length;)for(var t=D.pop(),r=Object.keys(conversions[t]),n=r.length,o=0;o<n;o++){var s=r[o],a=u[s];-1===a.distance&&(a.distance=u[t].distance+1,a.parent=t,D.unshift(s))}return u}function link(e,u){return function(D){return u(e(D))}}function wrapConversion(e,u){for(var D=[u[e].parent,e],t=conversions[u[e].parent][e],r=u[e].parent;u[r].parent;)D.unshift(u[r].parent),t=link(conversions[u[r].parent][r],t),r=u[r].parent;return t.conversion=D,t}var route=function(e){for(var u=deriveBFS(e),D={},t=Object.keys(u),r=t.length,n=0;n<r;n++){var o=t[n];null!==u[o].parent&&(D[o]=wrapConversion(o,u))}return D},convert={},models=Object.keys(conversions);function wrapRaw(e){var u=function(u){return null==u?u:(arguments.length>1&&(u=Array.prototype.slice.call(arguments)),e(u))};return"conversion"in e&&(u.conversion=e.conversion),u}function wrapRounded(e){var u=function(u){if(null==u)return u;arguments.length>1&&(u=Array.prototype.slice.call(arguments));var D=e(u);if("object"==typeof D)for(var t=D.length,r=0;r<t;r++)D[r]=Math.round(D[r]);return D};return"conversion"in e&&(u.conversion=e.conversion),u}models.forEach(function(e){convert[e]={},Object.defineProperty(convert[e],"channels",{value:conversions[e].channels}),Object.defineProperty(convert[e],"labels",{value:conversions[e].labels});var u=route(e);Object.keys(u).forEach(function(D){var t=u[D];convert[e][D]=wrapRounded(t),convert[e][D].raw=wrapRaw(t)})});var colorConvert=convert,ansiStyles=createCommonjsModule(function(e){const u=(e,u)=>(function(){return`[${e.apply(colorConvert,arguments)+u}m`}),D=(e,u)=>(function(){const D=e.apply(colorConvert,arguments);return`[${38+u};5;${D}m`}),t=(e,u)=>(function(){const D=e.apply(colorConvert,arguments);return`[${38+u};2;${D[0]};${D[1]};${D[2]}m`});Object.defineProperty(e,"exports",{enumerable:!0,get:function(){const e=new Map,r={modifier:{reset:[0,0],bold:[1,22],dim:[2,22],italic:[3,23],underline:[4,24],inverse:[7,27],hidden:[8,28],strikethrough:[9,29]},color:{black:[30,39],red:[31,39],green:[32,39],yellow:[33,39],blue:[34,39],magenta:[35,39],cyan:[36,39],white:[37,39],gray:[90,39],redBright:[91,39],greenBright:[92,39],yellowBright:[93,39],blueBright:[94,39],magentaBright:[95,39],cyanBright:[96,39],whiteBright:[97,39]},bgColor:{bgBlack:[40,49],bgRed:[41,49],bgGreen:[42,49],bgYellow:[43,49],bgBlue:[44,49],bgMagenta:[45,49],bgCyan:[46,49],bgWhite:[47,49],bgBlackBright:[100,49],bgRedBright:[101,49],bgGreenBright:[102,49],bgYellowBright:[103,49],bgBlueBright:[104,49],bgMagentaBright:[105,49],bgCyanBright:[106,49],bgWhiteBright:[107,49]}};r.color.grey=r.color.gray;for(const u of Object.keys(r)){const D=r[u];for(const u of Object.keys(D)){const t=D[u];r[u]={open:`[${t[0]}m`,close:`[${t[1]}m`},D[u]=r[u],e.set(t[0],t[1])}Object.defineProperty(r,u,{value:D,enumerable:!1}),Object.defineProperty(r,"codes",{value:e,enumerable:!1})}const n=e=>e,o=(e,u,D)=>[e,u,D];r.color.close="[39m",r.bgColor.close="[49m",r.color.ansi={ansi:u(n,0)},r.color.ansi256={ansi256:D(n,0)},r.color.ansi16m={rgb:t(o,0)},r.bgColor.ansi={ansi:u(n,10)},r.bgColor.ansi256={ansi256:D(n,10)},r.bgColor.ansi16m={rgb:t(o,10)};for(let e of Object.keys(colorConvert)){if("object"!=typeof colorConvert[e])continue;const n=colorConvert[e];"ansi16"===e&&(e="ansi"),"ansi16"in n&&(r.color.ansi[e]=u(n.ansi16,0),r.bgColor.ansi[e]=u(n.ansi16,10)),"ansi256"in n&&(r.color.ansi256[e]=D(n.ansi256,0),r.bgColor.ansi256[e]=D(n.ansi256,10)),"rgb"in n&&(r.color.ansi16m[e]=t(n.rgb,0),r.bgColor.ansi16m[e]=t(n.rgb,10))}return r}})}),hasFlag=(e,u)=>{u=u||process.argv;const D=e.startsWith("-")?"":1===e.length?"-":"--",t=u.indexOf(D+e),r=u.indexOf("--");return-1!==t&&(-1===r||t<r)};const env$1=process.env;let forceColor;function translateLevel(e){return 0!==e&&{level:e,hasBasic:!0,has256:e>=2,has16m:e>=3}}function supportsColor(e){if(!1===forceColor)return 0;if(hasFlag("color=16m")||hasFlag("color=full")||hasFlag("color=truecolor"))return 3;if(hasFlag("color=256"))return 2;if(e&&!e.isTTY&&!0!==forceColor)return 0;const u=forceColor?1:0;if("win32"===process.platform){const e=os.release().split(".");return Number(process.versions.node.split(".")[0])>=8&&Number(e[0])>=10&&Number(e[2])>=10586?Number(e[2])>=14931?3:2:1}if("CI"in env$1)return["TRAVIS","CIRCLECI","APPVEYOR","GITLAB_CI"].some(e=>e in env$1)||"codeship"===env$1.CI_NAME?1:u;if("TEAMCITY_VERSION"in env$1)return/^(9\.(0*[1-9]\d*)\.|\d{2,}\.)/.test(env$1.TEAMCITY_VERSION)?1:0;if("truecolor"===env$1.COLORTERM)return 3;if("TERM_PROGRAM"in env$1){const e=parseInt((env$1.TERM_PROGRAM_VERSION||"").split(".")[0],10);switch(env$1.TERM_PROGRAM){case"iTerm.app":return e>=3?3:2;case"Apple_Terminal":return 2}}return/-256(color)?$/i.test(env$1.TERM)?2:/^screen|^xterm|^vt100|^vt220|^rxvt|color|ansi|cygwin|linux/i.test(env$1.TERM)?1:"COLORTERM"in env$1?1:(env$1.TERM,u)}function getSupportLevel(e){return translateLevel(supportsColor(e))}hasFlag("no-color")||hasFlag("no-colors")||hasFlag("color=false")?forceColor=!1:(hasFlag("color")||hasFlag("colors")||hasFlag("color=true")||hasFlag("color=always"))&&(forceColor=!0),"FORCE_COLOR"in env$1&&(forceColor=0===env$1.FORCE_COLOR.length||0!==parseInt(env$1.FORCE_COLOR,10));var supportsColor_1={supportsColor:getSupportLevel,stdout:getSupportLevel(process.stdout),stderr:getSupportLevel(process.stderr)};const TEMPLATE_REGEX=/(?:\\(u[a-f\d]{4}|x[a-f\d]{2}|.))|(?:\{(~)?(\w+(?:\([^)]*\))?(?:\.\w+(?:\([^)]*\))?)*)(?:[ \t]|(?=\r?\n)))|(\})|((?:.|[\r\n\f])+?)/gi,STYLE_REGEX=/(?:^|\.)(\w+)(?:\(([^)]*)\))?/g,STRING_REGEX=/^(['"])((?:\\.|(?!\1)[^\\])*)\1$/,ESCAPE_REGEX=/\\(u[a-f\d]{4}|x[a-f\d]{2}|.)|([^\\])/gi,ESCAPES=new Map([["n","\n"],["r","\r"],["t","\t"],["b","\b"],["f","\f"],["v","\v"],["0","\0"],["\\","\\"],["e",""],["a",""]]);function unescape(e){return"u"===e[0]&&5===e.length||"x"===e[0]&&3===e.length?String.fromCharCode(parseInt(e.slice(1),16)):ESCAPES.get(e)||e}function parseArguments(e,u){const D=[],t=u.trim().split(/\s*,\s*/g);let r;for(const u of t)if(isNaN(u)){if(!(r=u.match(STRING_REGEX)))throw new Error(`Invalid Chalk template style argument: ${u} (in style '${e}')`);D.push(r[2].replace(ESCAPE_REGEX,(e,u,D)=>u?unescape(u):D))}else D.push(Number(u));return D}function parseStyle(e){STYLE_REGEX.lastIndex=0;const u=[];let D;for(;null!==(D=STYLE_REGEX.exec(e));){const e=D[1];if(D[2]){const t=parseArguments(e,D[2]);u.push([e].concat(t))}else u.push([e])}return u}function buildStyle(e,u){const D={};for(const e of u)for(const u of e.styles)D[u[0]]=e.inverse?null:u.slice(1);let t=e;for(const e of Object.keys(D))if(Array.isArray(D[e])){if(!(e in t))throw new Error(`Unknown Chalk style: ${e}`);t=D[e].length>0?t[e].apply(t,D[e]):t[e]}return t}var templates=(e,u)=>{const D=[],t=[];let r=[];if(u.replace(TEMPLATE_REGEX,(u,n,o,s,a,i)=>{if(n)r.push(unescape(n));else if(s){const u=r.join("");r=[],t.push(0===D.length?u:buildStyle(e,D)(u)),D.push({inverse:o,styles:parseStyle(s)})}else if(a){if(0===D.length)throw new Error("Found extraneous } in Chalk template literal");t.push(buildStyle(e,D)(r.join(""))),r=[],D.pop()}else r.push(i)}),t.push(r.join("")),D.length>0){const e=`Chalk template literal is missing ${D.length} closing bracket${1===D.length?"":"s"} (\`}\`)`;throw new Error(e)}return t.join("")},chalk=createCommonjsModule(function(e){const u=supportsColor_1.stdout,D="win32"===process.platform&&!(process.env.TERM||"").toLowerCase().startsWith("xterm"),t=["ansi","ansi","ansi256","ansi16m"],r=new Set(["gray"]),n=Object.create(null);function o(e,D){D=D||{};const t=u?u.level:0;e.level=void 0===D.level?t:D.level,e.enabled="enabled"in D?D.enabled:e.level>0}function s(e){if(!this||!(this instanceof s)||this.template){const u={};return o(u,e),u.template=function(){const e=[].slice.call(arguments);return function(e,u){if(!Array.isArray(u))return[].slice.call(arguments,1).join(" ");const D=[].slice.call(arguments,2),t=[u.raw[0]];for(let e=1;e<u.length;e++)t.push(String(D[e-1]).replace(/[{}\\]/g,"\\$&")),t.push(String(u.raw[e]));return templates(e,t.join(""))}.apply(null,[u.template].concat(e))},Object.setPrototypeOf(u,s.prototype),Object.setPrototypeOf(u.template,u),u.template.constructor=s,u.template}o(this,e)}D&&(ansiStyles.blue.open="[94m");for(const e of Object.keys(ansiStyles))ansiStyles[e].closeRe=new RegExp(escapeStringRegexp(ansiStyles[e].close),"g"),n[e]={get(){const u=ansiStyles[e];return i.call(this,this._styles?this._styles.concat(u):[u],this._empty,e)}};n.visible={get(){return i.call(this,this._styles||[],!0,"visible")}},ansiStyles.color.closeRe=new RegExp(escapeStringRegexp(ansiStyles.color.close),"g");for(const e of Object.keys(ansiStyles.color.ansi))r.has(e)||(n[e]={get(){const u=this.level;return function(){const D={open:ansiStyles.color[t[u]][e].apply(null,arguments),close:ansiStyles.color.close,closeRe:ansiStyles.color.closeRe};return i.call(this,this._styles?this._styles.concat(D):[D],this._empty,e)}}});ansiStyles.bgColor.closeRe=new RegExp(escapeStringRegexp(ansiStyles.bgColor.close),"g");for(const e of Object.keys(ansiStyles.bgColor.ansi)){if(r.has(e))continue;n["bg"+e[0].toUpperCase()+e.slice(1)]={get(){const u=this.level;return function(){const D={open:ansiStyles.bgColor[t[u]][e].apply(null,arguments),close:ansiStyles.bgColor.close,closeRe:ansiStyles.bgColor.closeRe};return i.call(this,this._styles?this._styles.concat(D):[D],this._empty,e)}}}}const a=Object.defineProperties(()=>{},n);function i(e,u,t){const r=function(){return function(){const e=arguments,u=e.length;let t=String(arguments[0]);if(0===u)return"";if(u>1)for(let D=1;D<u;D++)t+=" "+e[D];if(!this.enabled||this.level<=0||!t)return this._empty?"":t;const r=ansiStyles.dim.open;D&&this.hasGrey&&(ansiStyles.dim.open="");for(const e of this._styles.slice().reverse())t=(t=e.open+t.replace(e.closeRe,e.open)+e.close).replace(/\r?\n/g,`${e.close}$&${e.open}`);return ansiStyles.dim.open=r,t}.apply(r,arguments)};r._styles=e,r._empty=u;const n=this;return Object.defineProperty(r,"level",{enumerable:!0,get:()=>n.level,set(e){n.level=e}}),Object.defineProperty(r,"enabled",{enumerable:!0,get:()=>n.enabled,set(e){n.enabled=e}}),r.hasGrey=this.hasGrey||"gray"===t||"grey"===t,r.__proto__=a,r}Object.defineProperties(s.prototype,n),e.exports=s(),e.exports.supportsColor=u,e.exports.default=e.exports}),chalk_1=chalk.supportsColor;const _colorCache={};function chalkColor(e){let u=_colorCache[e];return u||(u="#"===e[0]?chalk.hex(e):chalk[e]||chalk.keyword(e),_colorCache[e]=u,u)}const _bgColorCache={};function chalkBgColor(e){let u=_bgColorCache[e];return u||(u="#"===e[0]?chalk.bgHex(e):chalk["bg"+e[0].toUpperCase()+e.slice(1)]||chalk.bgKeyword(e),_bgColorCache[e]=u,u)}const TYPE_COLOR_MAP={info:"cyan"},LEVEL_COLOR_MAP={0:"red",1:"yellow",2:"white",3:"green"},DEFAULTS$1={secondaryColor:"grey",formatOptions:{colors:!0,compact:!1}},TYPE_ICONS={info:figures_1("ℹ"),success:figures_1("✔"),debug:figures_1("›"),trace:figures_1("›"),log:""};class FancyReporter extends BasicReporter{constructor(e){super(Object.assign({},DEFAULTS$1,e))}formatStack(e){const u=chalkColor("grey"),D=chalkColor("cyan");return"\n"+parseStack(e).map(e=>"  "+e.replace(/^at +/,e=>u(e)).replace(/\((.+)\)/,(e,u)=>`(${D(u)})`)).join("\n")}formatType(e,u){const D=TYPE_COLOR_MAP[e.type]||LEVEL_COLOR_MAP[e.level]||this.options.secondaryColor;if(u)return chalkBgColor(D).black(` ${e.type.toUpperCase()} `);const t="string"==typeof TYPE_ICONS[e.type]?TYPE_ICONS[e.type]:e.icon||e.type;return t?chalkColor(D)(t):""}formatLogObj(e,{width:u}){const[D,...t]=this.formatArgs(e.args).split("\n"),r=void 0!==e.badge?Boolean(e.badge):e.level<2,n=chalkColor(this.options.secondaryColor),o=n(this.formatDate(e.date)),s=this.formatType(e,r),a=e.tag?n(e.tag):"",i=D.replace(/`([^`]+)`/g,(e,u)=>chalk.cyan(u));let l;const c=this.filterAndJoin([s,i]),h=this.filterAndJoin([a,o]),C=u-stringWidth_1(c)-stringWidth_1(h)-2;return l=C>0&&u>=80?c+" ".repeat(C)+h:c,l+=t.length?"\n"+t.join("\n"):"",r?"\n"+l+"\n":l}}class JSONReporter{constructor({stream:e}={}){this.stream=e||process.stdout}log(e){this.stream.write(JSON.stringify(e)+"\n")}}const _require="undefined"!=typeof __non_webpack_require__?__non_webpack_require__:require;class WinstonReporter{constructor(e){if(e&&e.log)this.logger=e;else{const u=_require("winston");this.logger=u.createLogger(Object.assign({level:"info",format:u.format.simple(),transports:[new u.transports.Console]},e))}}log(e){const u=[].concat(e.args),D=u.shift();this.logger.log({level:levels[e.level]||"info",label:e.tag,message:D,args:u,timestamp:e.date.getTime()/1e3})}}const levels={0:"error",1:"warn",2:"info",3:"verbose",4:"debug",5:"silly"};function createConsola(){let e=stdEnv.debug?4:3;process.env.CONSOLA_LEVEL&&(e=parseInt(process.env.CONSOLA_LEVEL)||e);const u=new Consola({level:e,reporters:[stdEnv.ci||stdEnv.test?new BasicReporter:new FancyReporter]});return u.Consola=Consola,u.BasicReporter=BasicReporter,u.FancyReporter=FancyReporter,u.JSONReporter=JSONReporter,u.WinstonReporter=WinstonReporter,u}global.consola||(global.consola=createConsola());var node=global.consola;module.exports=node;
